// Main File, configure and start the Server

// Load the modules
var express = require("express");
var bodyParser = require('body-parser');

var tempdb = require("./routes/tempdb.js");
var index = require("./routes/index.js");
var power = require("./routes/power.js");

global.rootpath = __dirname;

var srv = express();

srv.use(bodyParser());

srv.get("/temp", tempdb.getAll);
srv.get("/temp/:id", tempdb.getTemp);
srv.post("/temp", tempdb.addTemp);
srv.put("/temp/:id", tempdb.updTemp);

srv.get("/power/:id", power.toggle);

srv.get("/", index.index);
srv.get("/inc/:file", index.inc);
srv.get("/inc/images/:file", index.img);

srv.listen(3000);
console.log("Server started on port 80.");
